Subject: Re: bug#22534: File notify broken on Windows

From: Fabrice Popineau <[email-masked]>
Date: Wed, 3 Feb 2016 13:15:48 +0100

2016-02-03 9:07 GMT+01:00 Michael Albinus <[email-masked]>:

> Fabrice Popineau <[email-masked]> writes:
>
> > You will find the commit below (with not too much surprise).
> > However, I don't have much time these days to sort this out.
>
> I'll check next days, need to find an MS Windows machine first.
>
>
Thanks Michael.

I have observed something weird during the file-notify tests.
I traced file-notify-test02-events.
The read_event function doesn't time out in 0.1s as it is supposed to.
It waits for the time specified  by (file-notify--test-timeout) before
returning the right value. (Well actually, the value returned by the third
test
in file-notify-test02-events is wrong but it is another story).

So I'm afraid some logic is wrong, and possibly not only in file-notify
but also in the way w32 should handle those timeouts.

Fabrice